apiVersion: apps/v1
kind: Deployment
metadata:
  name: kibana-logging
  namespace: elk-stack
  labels:
    k8s-app: kibana-logging
spec:
  replicas: 1
  selector:
    matchLabels:
      k8s-app: kibana-logging
  template:
    metadata:
      labels:
        k8s-app: kibana-logging
    spec:
      containers:
        - name: kibana-logging
          image: docker.elastic.co/kibana/kibana:7.6.1
          resources:
            limits:
              cpu: 1000m
            requests:
              cpu: 100m
          env:
            - name: ELASTICSEARCH_HOSTS
              value: http://elasticsearch-logging:9200
          ports:
            - containerPort: 5601
              name: ui
              protocol: TCP
---
apiVersion: v1
kind: Service
metadata:
  name: kibana-logging
  namespace: elk-stack
  labels:
    k8s-app: kibana-logging
spec:
  ports:
    - port: 5601
      protocol: TCP
      targetPort: ui
  type: LoadBalancer
  selector:
    k8s-app: kibana-logging
